> For the complete documentation index, see [llms.txt](https://docs.optswap.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.optswap.org/technical-reference/subgraphs/endpoints.md).

# Endpoints

The subgraphs are deployed at the following endpoints and are sharded by blockchain network.

{% hint style="danger" %}
**Always ensure that you are querying only the official endpoints listed on this page! Any endpoints not listed on this page should be strictly avoided! You may receive incorrect or corrupted data from malicious endpoints!**
{% endhint %}

### **Optimism Sepolia Testnet (L2)**

* **Node 0:** `https://optest-node0.optswap.org/graph/subgraphs/name/OptSwapDAO/*`
* **Node 1:** `https://optest-node1.optswap.org/graph/subgraphs/name/OptSwapDAO/*`

### **BNB Smart Chain (BSC) Testnet**

TODO -- tBNB (coming soon!)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.optswap.org/technical-reference/subgraphs/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
